View Issue Details

IDProjectCategoryView StatusLast Update
0000015Space WarsResearch & Developmentpublic2018-06-28 06:50
ReporterRibeyeAssigned ToRibeye 
PrioritynoneSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.30.4Fixed in Version0.30.4 
Summary0000015: Technology of other objects can be reverse engineered
Description

The way the research tree is set up at the moment, a settler can only research one kind of reactor technology.

He will be fixed to this forever. This change shall change that.

TagsNo tags attached.
Object ID
Object Type

Activities

user5

2016-08-18 22:13

  ~0000024

Added in rev 91.

user5

2016-08-18 23:04

  ~0000048

Closing issues.

Tests appear to be OK.

Athena

Athena

2018-06-27 21:13

developer   ~0001445

Fix committed to develop branch.

Ribeye

Ribeye

2018-06-28 06:50

administrator   ~0001451

Move to Gitlab issue

Related Changesets

SpaceWars: develop 1af85c49

2018-06-27 21:12:56

Athena

Details Diff
Resolves 0000015 and some other errors

Affected Issues
0000015

Issue History

Date Modified Username Field Change
2016-08-16 18:14 user5 New Issue
2016-08-16 18:14 user5 Status new => assigned
2016-08-16 18:14 user5 Assigned To => user5
2016-08-16 18:15 user5 Target Version 0.31.0 => 0.30.4
2016-08-17 07:55 user5 Category General => Research
2016-08-18 22:13 user5 Status assigned => resolved
2016-08-18 22:13 user5 Resolution open => fixed
2016-08-18 22:13 user5 Note Added: 0000024
2016-08-18 22:59 user5 Fixed in Version => 0.30.4
2016-08-18 23:04 user5 Note Added: 0000048
2016-08-18 23:04 user5 Status resolved => closed
2016-08-26 15:06 user5 Category Research => Research & Development
2018-06-27 21:13 Athena Changeset attached => SpaceWars develop 1af85c49
2018-06-27 21:13 Athena Note Added: 0001445
2018-06-27 21:13 Athena Assigned To Ribeye => Athena
2018-06-27 21:13 Athena Status closed => resolved
2018-06-27 21:14 Ribeye Assigned To Athena => Ribeye
2018-06-27 21:14 Ribeye Status resolved => assigned
2018-06-28 06:50 Ribeye Status assigned => closed
2018-06-28 06:50 Ribeye Note Added: 0001451